Skip to main content
POST
/
wp-json
/
getmcp
/
v1
/
servers
/
{id}
/
toggle
curl -X POST \
  -H "Authorization: Bearer gmcp_your_api_key" \
  "https://yoursite.com/wp-json/getmcp/v1/servers/1/toggle"
{
  "id": 1,
  "name": "My Weather Tools",
  "slug": "my-weather-tools",
  "server_id": "a1b2c3d4e5f6a1b2",
  "status": "paused",
  "transport_type": "streamable-http",
  "auth_type": "none",
  "rate_limit_per_min": 60,
  "endpoint_url": "https://yoursite.com/mcp/my-weather-tools/a1b2c3d4e5f6a1b2",
  "tool_count": 3,
  "created_at": "2025-03-01T10:00:00",
  "updated_at": "2025-03-18T12:00:00"
}
Toggles the server status between active and paused. Useful for quickly enabling or disabling a server without changing any other configuration.
  • If the server is active, it becomes paused
  • If the server is paused, it becomes active

Path Parameters

id
integer
required
The numeric ID of the server to toggle.
curl -X POST \
  -H "Authorization: Bearer gmcp_your_api_key" \
  "https://yoursite.com/wp-json/getmcp/v1/servers/1/toggle"
{
  "id": 1,
  "name": "My Weather Tools",
  "slug": "my-weather-tools",
  "server_id": "a1b2c3d4e5f6a1b2",
  "status": "paused",
  "transport_type": "streamable-http",
  "auth_type": "none",
  "rate_limit_per_min": 60,
  "endpoint_url": "https://yoursite.com/mcp/my-weather-tools/a1b2c3d4e5f6a1b2",
  "tool_count": 3,
  "created_at": "2025-03-01T10:00:00",
  "updated_at": "2025-03-18T12:00:00"
}